export var BASE_CLASSNAME = 'sui-PinInput';
export var SIZES = {
  XXSMALL: 'xxsmall',
  XSMALL: 'xsmall',
  SMALL: 'small',
  MEDIUM: 'medium',
  LARGE: 'large',
  XLARGE: 'xlarge',
  XXLARGE: 'xxlarge'
};
export var STATUS = {
  ERROR: 'error',
  SUCCESS: 'success',
  ALERT: 'alert'
};
export var MASK = {
  NUMBER: '[0-9]',
  ALPHABETIC: '[A-Za-z]',
  ALPHANUMERIC: '[A-Za-z0-9]'
};
export var valueChecker = function valueChecker(_ref) {
  var _ref$length = _ref.length,
      length = _ref$length === void 0 ? 1 : _ref$length,
      mask = _ref.mask;
  return function (value) {
    if (value === void 0) {
      value = '';
    }

    if (length === 0 && value === '') return true;
    if (value.length !== length) return false;
    var matchExpression = mask + "{" + length + "}";
    var regex = new RegExp(matchExpression);
    return regex.test(value);
  };
};
export var getValueType = function getValueType(_ref2) {
  var value = _ref2.value,
      defaultValue = _ref2.defaultValue;
  var val = value || defaultValue;
  var valueType = typeof val;

  if (typeof val === 'object' && val instanceof Array) {
    valueType = 'array';
  }

  return valueType;
};