import { useEffect } from 'react';

var useKeyPress = function useKeyPress(callback, _ref) {
  var target = _ref.target,
      onChange = _ref.onChange;
  var events = [];
  return useEffect(function () {
    var element = target == null ? void 0 : target.current;

    if (element) {
      events.push(element.addEventListener('keydown', callback));
    }

    return function () {
      events.forEach(function (event) {
        if (element) element.removeEventListener('keydown', callback);
      });
    };
  }, [target, callback, onChange]); // eslint-disable-line react-hooks/exhaustive-deps
};

export default useKeyPress;